/* Install WPORest
   ---------------

   Create a WPS-object to start WPORest from the Desktop
 
*/

nok = RxFuncAdd("SysLoadFuncs",  "RexxUtil", "SysLoadFuncs") ;rc = SysLoadFuncs();

HomePath = directory();

say "Install to "HomePath"? (Y/N)";

if Translate( SysGetKey('NoEcho') ) = "Y" then NOP;
else;do
   say "No installation";
   exit;
end;

ok = SysFileTree("WPORest.exe","files.","F");
if files.0 = 1 then NOP;
else;do
   say "WPORest.exe missing - installation abandoned.";
   exit;
end;

/* --------------------------------------  */
/* Create WPORest folder on WPS-desktop:   */
/* --------------------------------------  */

FolderID = "<WPORest Objects>";

ok = SysCreateObject(   "WPFolder",           ,
                        "WPORest",            ,
                        "<WP_DESKTOP>",       ,
                        "OBJECTID="FolderID";ICONFILE="HomePath"\Folder1.ico",  ,
                        "Replace"             ,
                    );

if ok then
   say "Folder-object successfully created";
else;
   say "Error creating Folder-object: Code="ok;

/* --------------------------------------  */
/* Create WPORest program-object:          */
/* --------------------------------------  */

ok = SysCreateObject(   "WPProgram",                                    ,
                        "WPORest"||"0D0A"x||"Restore WPS-objects", 	,
                        FolderID,                                                ,
                        "EXENAME="HomePath"\WPORest.exe;ICONFILE="HomePath"\WPORest.ico;"||       ,
                        "STARTUPDIR="HomePath"\",                        ,
                        "Replace"                                       ,
                    );

if ok then
   say "Program-object successfully created";
else;
   say "Error creating program-object: Code="ok;


/* -------------------------------			*/
/* nun die Helpfiles installieren:			*/
/* -------------------------------			*/
ok = SysCreateObject(   "WPProgram",            ,
			"Benutzerhilfe",	,
			FolderID,		,
             "EXENAME=ae.exe;"			,
||           "PROGTYPE=PM;"			,
||           "PARAMETERS="HomePath"\Liesmich.txt;"	,
||           "TITLE=Liesmich.txt;",		,
                        "Replace"               ,
                    );
if ok then say "Liesmich.txt successfully created";
else;      say "error creating Liesmich.txt";

ok = SysCreateObject(   "WPProgram",            ,
			"User's Guide",		,
			FolderID,		,
             "EXENAME=ae.exe;"			,
||           "PROGTYPE=PM;"			,
||           "PARAMETERS="HomePath"\readme.txt;"	,
||           "TITLE=readme.txt;",		,
                        "Replace"               ,
                    );
if ok then say "readme.txt successfully created";
else;      say "error creating readme.txt";


say "WPORest installation successfully completed";

exit;
